# Generated from sms_speedway_api-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sms_speedway_api

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Interface to the SMS Speedway text messaging service
License: MIT
URL: http://www.sms-speedway.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem implements a lightweight API for using the SMS Speedway text
messaging service. Simple create an instance of SmsSpeedwayApi::SMS set the
login details, numbers to send to and the message, then call the send method.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.3-1
- Initial package
